Package org.eclipse.net4j.util.ui.container

## Class ElementWizardComposite.WithRadios

- java.lang.Object
- - org.eclipse.swt.widgets.Widget
  - - org.eclipse.swt.widgets.Control
    - - org.eclipse.swt.widgets.Scrollable
      - - org.eclipse.swt.widgets.Composite
        - - org.eclipse.net4j.util.ui.container.ElementWizardComposite
          - - org.eclipse.net4j.util.ui.container.ElementWizardComposite.WithRadios

- All Implemented Interfaces:
    `java.util.EventListener`, `IListener`, `SelectionListener`, `Drawable`, `org.eclipse.swt.internal.SWTEventListener`
  Enclosing class:
    ElementWizardComposite

      public static class ElementWizardComposite.WithRadios
      extends ElementWizardComposite
      implements SelectionListener

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.ui.container.ElementWizardComposite

      `ElementWizardComposite.WithCombo, ElementWizardComposite.WithRadios`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.IListener

      `IListener.NotifierAware`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.swt.widgets.Control

      `handle`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WithRadios​(Composite parent, int style, java.lang.String productGroup, java.lang.String label)` |
    `WithRadios​(Composite parent, int style, java.lang.String productGroup, java.lang.String label, ValidationContext validationContext)` |
    `WithRadios​(Composite parent, int style, java.lang.String productGroup, java.lang.String label, ValidationContext validationContext, java.lang.String defaultFactoryType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `createFactoryTypeControl()` |
    `java.lang.String` | `getFactoryType()` |
    `protected void` | `setFactoryType​(java.lang.String factoryType)` |
    `void` | `widgetDefaultSelected​(SelectionEvent e)` |
    `void` | `widgetSelected​(SelectionEvent e)` |

    - ### Methods inherited from class org.eclipse.net4j.util.ui.container.ElementWizardComposite

      `create, factoryTypeChanged, getContainer, getDefaultDescription, getDefaultFactoryType, getDescription, getFactoryTypes, getLabel, getNotifier, getProductGroup, harvestControls, init, layout, notifyEvent, setDefaultDescription, setValidationContext`

    - ### Methods inherited from class org.eclipse.swt.widgets.Composite

      `changed, checkSubclass, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

    - ### Methods inherited from class org.eclipse.swt.widgets.Scrollable

      `computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar`

    - ### Methods inherited from class org.eclipse.swt.widgets.Control

      `addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

    - ### Methods inherited from class org.eclipse.swt.widgets.Widget

      `addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getListeners, getStyle, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, reskin, setData, setData, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.swt.graphics.Drawable

      `isAutoScalable`

- - ### Constructor Detail

    - #### WithRadios

          public WithRadios​(Composite parent,
                            int style,
                            java.lang.String productGroup,
                            java.lang.String label)

    - #### WithRadios

          public WithRadios​(Composite parent,
                            int style,
                            java.lang.String productGroup,
                            java.lang.String label,
                            ValidationContext validationContext)

      Since:
        3.2

    - #### WithRadios

          public WithRadios​(Composite parent,
                            int style,
                            java.lang.String productGroup,
                            java.lang.String label,
                            ValidationContext validationContext,
                            java.lang.String defaultFactoryType)

      Since:
        3.2

  - ### Method Detail

    - #### widgetSelected

          public void widgetSelected​(SelectionEvent e)

      Specified by:
        `widgetSelected` in interface `SelectionListener`

    - #### widgetDefaultSelected

          public void widgetDefaultSelected​(SelectionEvent e)

      Specified by:
        `widgetDefaultSelected` in interface `SelectionListener`

    - #### getFactoryType

          public java.lang.String getFactoryType()

      Specified by:
        `getFactoryType` in class `ElementWizardComposite`

    - #### setFactoryType

          protected void setFactoryType​(java.lang.String factoryType)

      Specified by:
        `setFactoryType` in class `ElementWizardComposite`

    - #### createFactoryTypeControl

          protected void createFactoryTypeControl()

      Specified by:
        `createFactoryTypeControl` in class `ElementWizardComposite`